Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::PackageInfo::HardwareInfo Struct Reference

## Public Attributes
string | serial
| serial number
string | packageClass
| serial number prefix for current packages
string | model
| like 'DPX-CC2' or 'DX-D2C6'
int | minDowngradeVersion
| minimum downgrade version (or -1)
string | revision
| hardware revision
string | address
| ROM code for 1-wire devices.

## Detailed Description

Definition at line 22 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## ◆ address

string peripheral::PackageInfo::HardwareInfo::address

ROM code for 1-wire devices.

Definition at line 28 of file PeripheralDevicePackage.idl.

## ◆ minDowngradeVersion

int peripheral::PackageInfo::HardwareInfo::minDowngradeVersion

minimum downgrade version (or -1)

Definition at line 26 of file PeripheralDevicePackage.idl.

## ◆ model

string peripheral::PackageInfo::HardwareInfo::model

like 'DPX-CC2' or 'DX-D2C6'

Definition at line 25 of file PeripheralDevicePackage.idl.

## ◆ packageClass

string peripheral::PackageInfo::HardwareInfo::packageClass

serial number prefix for current packages

Definition at line 24 of file PeripheralDevicePackage.idl.

## ◆ revision

string peripheral::PackageInfo::HardwareInfo::revision

hardware revision

Definition at line 27 of file PeripheralDevicePackage.idl.

## ◆ serial

string peripheral::PackageInfo::HardwareInfo::serial

serial number

Definition at line 23 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl